classification
Title: [sqlite3] Remove ASCII limitation from sqlite3.Connection.create_collation()
Type: enhancement Stage: resolved
Components: Extension Modules Versions: Python 3.11
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: erlendaasland Nosy List: erlendaasland, petr.viktorin
Priority: normal Keywords: patch

Created on 2021-07-20 21:13 by erlendaasland, last changed 2021-07-29 10:59 by erlendaasland. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 27395 merged erlendaasland, 2021-07-27 21:46
Messages (2)
msg397912 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2021-07-20 21:13
The sqlite3.Connection.create_collation() function limits collation names to ASCII characters only. As sqlite3_create_collation_v2() (and sqlite3_create_collation()) support UTF8, there is no need for this limitation anymore.

See https://github.com/python/cpython/pull/27156#issuecomment-883694653
msg398465 - (view) Author: Petr Viktorin (petr.viktorin) * (Python committer) Date: 2021-07-29 07:48
New changeset 5269c091458c5ea76eb625e4fabc9980b6309266 by Erlend Egeberg Aasland in branch 'main':
bpo-44688: Remove ASCII limitation from `sqlite3` collation names (GH-27395)
https://github.com/python/cpython/commit/5269c091458c5ea76eb625e4fabc9980b6309266
History
Date User Action Args
2021-07-29 10:59:01erlendaaslandsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-07-29 07:48:15petr.viktorinsetmessages: + msg398465
2021-07-27 21:46:32erlendaaslandsetkeywords: + patch
stage: patch review
pull_requests: + pull_request25928
2021-07-20 21:13:58erlendaaslandcreate